# Class FilesEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.FilesEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `OpenFilesEvent, PrintFilesEvent`

public sealed class FilesEvent extends AppEvent permits OpenFilesEvent, PrintFilesEvent
Auxiliary event containing a list of files.

Since:
  9
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class EventObject

  `source`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<File>`
  `getFiles()`
  Gets the list of files.

  ### Methods declared in class EventObject

  `getSource, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getFiles

    public List<File> getFiles()
    Gets the list of files.
    Returns:
      the list of files